Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class LoggedBufferedInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              java.io.BufferedInputStream
                  com.skype.ipc.LoggedBufferedInputStream

All Implemented Interfaces:
  InputTransporting, java.io.Closeable

    public class LoggedBufferedInputStream

extends java.io.BufferedInputStream
implements InputTransporting

Field Summary

Fields inherited from class java.io.BufferedInputStream
`buf, count, marklimit, markpos, pos`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`LoggedBufferedInputStream(java.io.InputStream in, ClientConfiguration cfg)`

Method Summary
`void` | `close()`
`int` | `readByte()`
`void` | `readBytes(byte[] dest)`
`void` | `readBytes(byte[] dest, int offset, int numBytes)`
`void` | `skipBytes(int numBytes)`

Methods inherited from class java.io.BufferedInputStream
`available, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.io.FilterInputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggedBufferedInputStream

    public LoggedBufferedInputStream(java.io.InputStream in,
                                     ClientConfiguration cfg)

Method Detail

### skipBytes

    public void skipBytes(int numBytes)
                   throws java.io.IOException

  Specified by:
    `skipBytes` in interface `InputTransporting`
  Throws:
    `java.io.IOException`

### readBytes

    public void readBytes(byte[] dest)
                   throws java.io.IOException

  Specified by:
    `readBytes` in interface `InputTransporting`
  Throws:
    `java.io.IOException`

### readBytes

    public void readBytes(byte[] dest,
                          int offset,
                          int numBytes)
                   throws java.io.IOException

  Specified by:
    `readBytes` in interface `InputTransporting`
  Throws:
    `java.io.IOException`

### readByte

    public int readByte()
                 throws java.io.IOException

  Specified by:
    `readByte` in interface `InputTransporting`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `InputTransporting`
  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.BufferedInputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.